Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.query.qom
Class JcrColumn

    java.lang.Object
      org.modeshape.graph.query.model.Column
          org.modeshape.jcr.query.qom.JcrColumn

All Implemented Interfaces:
  Serializable, Column, LanguageObject, Visitable

    public class JcrColumn

extends Column
implements Column

An implementation of JCR's `Column` and specialization of the Graph API's `Column`.

See Also:
  Serialized Form

Constructor Summary
`JcrColumn(SelectorName selectorName)` Include a column for each of the single-valued, accessible properties on the node identified by the selector.
`JcrColumn(SelectorName selectorName, String propertyName, String columnName)` A column with the given name representing the named property on the node identified by the selector.

Method Summary
`String` | `getColumnName()`
`String` | `getPropertyName()`
`String` | `getSelectorName()`
`Column` | `with(SelectorName newSelectorName)` Create a copy of this Column except that uses the supplied selector name instead.

Methods inherited from class org.modeshape.graph.query.model.Column
`accept, columnName, equals, hashCode, propertyName, selectorName, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JcrColumn

    public JcrColumn(SelectorName selectorName)

  Include a column for each of the single-valued, accessible properties on the node identified by the selector.

  Parameters:
    `selectorName` - the selector name

### JcrColumn

    public JcrColumn(SelectorName selectorName,
                     String propertyName,
                     String columnName)

  A column with the given name representing the named property on the node identified by the selector.

  Parameters:
    `selectorName` - the selector name
    `propertyName` - the name of the property
    `columnName` - the name of the column

Method Detail

### getSelectorName

    public String getSelectorName()

  Specified by:
    `getSelectorName` in interface `Column`
  See Also:
    `Column.getSelectorName()`

### getPropertyName

    public String getPropertyName()

  Specified by:
    `getPropertyName` in interface `Column`
  See Also:
    `Column.getPropertyName()`

### getColumnName

    public String getColumnName()

  Specified by:
    `getColumnName` in interface `Column`
  See Also:
    `Column.getColumnName()`

### with

    public Column with(SelectorName newSelectorName)

  Create a copy of this Column except that uses the supplied selector name instead.

  Overrides:
    `with` in class `Column`
  Parameters:
    `newSelectorName` - the new selector name
  Returns:
    a new Column with the supplied selector name and the property and column names from this object; never null
  Throws:
    `IllegalArgumentException` - if the supplied selector name is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.